
{**********************************************************************
 Package pl_VisualPlanitComp.pkg
 is a modification of TurboPower Visual PlanIt Components Library
 For CodeTyphon Project (http://www.pilotlogic.com/)
 This unit is part of CodeTyphon Project
***********************************************************************}

{$I Vp.INC}

unit VpPrtFmtDlg;

interface

uses
  {$IFDEF LCL}
  LMessages,LCLProc,LCLType,LCLIntf,
  {$ELSE}
  Windows,
  {$ENDIF}
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, TypInfo, ExtCtrls,

  VpPrtFmt, VpBase, VpBaseDS, VpDlg, VpDBDS,{ VpBDEDS,} VpPrtPrv, VpPrtFmtCBox,
  VpEdFmtLst;

type

  TVpPrintFormatEditDialog = class (TVpBaseDialog)
  private
    FControlLink: TVpControlLink;
    FWindowState: TWindowState;
  protected
    procedure Notification(AComponent: TComponent; Operation: TOperation); override;
    procedure SetControlLink(const Value: TVpControlLink);
  public
    constructor Create (AOwner : TComponent); override;
    function Execute : Boolean; override;

  published
    property ControlLink : TVpControlLink
      read FControlLink write SetControlLink;

    property WindowState : TWindowState
      read FWindowState write FWindowState default wsNormal;

    property Options;
    property Placement;
  end;


implementation


{ TVpPrintFormatEditDialog }

constructor TVpPrintFormatEditDialog.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  FControlLink      := SearchControlLink (Owner);

  FPlacement.Height := 480;
  FPlacement.Width  := 640;
end;

function TVpPrintFormatEditDialog.Execute: Boolean;
var
  PrtFmtDlg : TfrmPrnFormat;
begin
  Application.CreateForm (TfrmPrnFormat, PrtFmtDlg);
  try
    DoFormPlacement(PrtFmtDlg);
    PrtFmtDlg.WindowState := WindowState;
    PrtFmtDlg.ControlLink := ControlLink;
    Result := PrtFmtDlg.Execute;

  finally
    PrtFmtDlg.Release;
  end;
end;

procedure TVpPrintFormatEditDialog.Notification (AComponent : TComponent;
                                               Operation  : TOperation);
  {-Handle new/deleted components}
begin
  inherited Notification (AComponent, Operation);

  if Operation = opRemove then begin
    {Owned components going away}
    if AComponent = FControlLink then begin
      FControlLink := nil;
    end;
  end else if Operation = opInsert then begin
    if AComponent is TVpControlLink then begin
      if not Assigned (FControlLink) then begin
        FControlLink := TVpControlLink (AComponent);
      end;
    end;
  end;
end;


procedure TVpPrintFormatEditDialog.SetControlLink(
  const Value: TVpControlLink);
begin
  if FControlLink <> Value then
    FControlLink := Value;
end;

end.
