
{**********************************************************************
 Package pl_VisualPlanitComp.pkg
 is a modification of TurboPower Visual PlanIt Components Library
 For CodeTyphon Project (http://www.pilotlogic.com/)
 This unit is part of CodeTyphon Project
***********************************************************************}

{$I Vp.INC}

unit VpPrtFmtEd;
  {- property editor for TVpControlLink.Printer.PrintFormats property}

interface

uses
  {$IFDEF LCL}
  LMessages,LCLProc,LCLType,LCLIntf,
  {$ELSE}
  Windows,Messages,
  {$ENDIF}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  {$IFDEF VERSION6}
  {$IFNDEF LCL}
  DesignIntf, DesignEditors,
  {$ELSE}
  PropEdits,
  LazarusPackageIntf,
  FieldsEditor,
  ComponentEditors,
  {$ENDIF}
  {$ELSE}
  DsgnIntf,
  {$ENDIF}
  StdCtrls, ExtCtrls, Buttons, VpSR,

  VpBase, VpBaseDS, VpEdFmtLst;

type
  TVpPrtFmtPropertyEditor = class(TComponentEditor)
    procedure ExecuteVerb(Index : Integer); override;
    function GetVerb(Index : Integer) : string; override;
    function GetVerbCount : Integer; override;
  end;

  TVpPrtFmtEditor = class(TfrmPrnFormat)
  public
    Designer   : TIDesigner;
  end;


implementation

var
  frmPrtFmtEd : TVpPrtFmtEditor;

{$IFDEF VERSION6}
  procedure EditPrtFmts(Designer : TIDesigner; Link : TVpControlLink);
{$ELSE}
  procedure EditPrtFmts(Designer : TIFormDesigner; Link : TVpControlLink);
{$ENDIF}
begin
  frmPrtFmtEd := TVpPrtFmtEditor.Create(Application);
  frmPrtFmtEd.Designer := Designer;
  frmPrtFmtEd.ControlLink := Link;
  frmPrtFmtEd.Execute;
  if Assigned(Designer) then
    Designer.Modified;
  frmPrtFmtEd.Free;  
end;


{ TVpPrtFmtEditor }

procedure TVpPrtFmtPropertyEditor.ExecuteVerb(Index: Integer);
begin
  if Index = 0 then
    EditPrtFmts(Designer, (Component as TVpControlLink));
end;

function TVpPrtFmtPropertyEditor.GetVerb(Index: Integer): string;
begin
  if Index = 0 then
    Result := RSEditPrintFormat;  
end;

function TVpPrtFmtPropertyEditor.GetVerbCount: Integer;
begin
  Result := 1;
end;

end.
